> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# End a call



## OpenAPI

````yaml put /calls/{callId}/end
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /calls/{callId}/end:
    put:
      tags:
        - Calls
      summary: End a call
      operationId: endCall
      parameters:
        - name: callId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndCallRequest'
      responses:
        '200':
          description: Call ended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - loader-id: []
components:
  schemas:
    EndCallRequest:
      type: object
      properties:
        actorId:
          type: string
          description: Roblox id of the staff member ending the call
        reason:
          type: string
          description: Optional close reason
      required:
        - actorId
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
  responses:
    BadRequest:
      description: Bad request, invalid parameters
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
    ServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````